package de.arminwolf.financeanalyzer.conf;

import java.util.HashSet;
import java.util.Set;

public class Configuration {

	private Set<BankAccount> bankAccounts;
	private int              numberOfMonths;


	public Configuration() {
		this.numberOfMonths = 1;
		this.bankAccounts = new HashSet<>();
	}


	public Set<BankAccount> getBankAccounts() {
		return bankAccounts;
	}


	public void setBankAccounts(final Set<BankAccount> bankAccounts) {
		this.bankAccounts = bankAccounts;
	}


	public int getNumberOfMonths() {
		return numberOfMonths;
	}


	public void setNumberOfMonths(final int numberOfMonths) {
		this.numberOfMonths = numberOfMonths;
	}
}
