package de.arminwolf.financeanalyzer.dao.charts.model;

public class LayoutAlgorithm {

	private double  gravitationalConstant;
	private boolean splitSeries;
	private boolean seriesInteraction;
	private boolean dragBetweenSeries;
	private boolean parentNodeLimit;


	public LayoutAlgorithm(
			final double gravitationalConstant,
			final boolean splitSeries,
			final boolean seriesInteraction,
			final boolean dragBetweenSeries,
			final boolean parentNodeLimit
	) {

		this.gravitationalConstant = gravitationalConstant;
		this.splitSeries = splitSeries;
		this.seriesInteraction = seriesInteraction;
		this.dragBetweenSeries = dragBetweenSeries;
		this.parentNodeLimit = parentNodeLimit;
	}


	public double getGravitationalConstant() {
		return gravitationalConstant;
	}


	public void setGravitationalConstant(final double gravitationalConstant) {
		this.gravitationalConstant = gravitationalConstant;
	}


	public boolean isSplitSeries() {
		return splitSeries;
	}


	public void setSplitSeries(final boolean splitSeries) {
		this.splitSeries = splitSeries;
	}


	public boolean isSeriesInteraction() {
		return seriesInteraction;
	}


	public void setSeriesInteraction(final boolean seriesInteraction) {
		this.seriesInteraction = seriesInteraction;
	}


	public boolean isDragBetweenSeries() {
		return dragBetweenSeries;
	}


	public void setDragBetweenSeries(final boolean dragBetweenSeries) {
		this.dragBetweenSeries = dragBetweenSeries;
	}


	public boolean isParentNodeLimit() {
		return parentNodeLimit;
	}


	public void setParentNodeLimit(final boolean parentNodeLimit) {
		this.parentNodeLimit = parentNodeLimit;
	}
}
