package de.arminwolf.financeanalyzer.dao.charts.model;

public class ToolTip {

	private String  pointFormat;
	private boolean useHTML;


	public ToolTip(String pointFormat, boolean useHTML) {
		this.pointFormat = pointFormat;
		this.useHTML = useHTML;
	}


	public ToolTip() {
		this.pointFormat = "<b>{point.name}:</b> {point.value}";
		this.useHTML = true;
	}


	public String getPointFormat() {
		return pointFormat;
	}


	public void setPointFormat(final String pointFormat) {
		this.pointFormat = pointFormat;
	}


	public boolean isUseHTML() {
		return useHTML;
	}


	public void setUseHTML(final boolean useHTML) {
		this.useHTML = useHTML;
	}
}
