package de.arminwolf.financeanalyzer.service.usecases;

import de.arminwolf.financeanalyzer.dao.ReportDAO;
import de.arminwolf.financeanalyzer.dao.TransactionDAO;
import de.arminwolf.financeanalyzer.dao.model.OutputData;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class OtherTransactionService {

	public void setOtherTransaction(final ReportDAO reportDAO,
									final List<TransactionDAO> filteredTransactions) {

		reportDAO.setNotStandingOrders(filteredTransactions.stream()
				.filter(t -> !reportDAO.getStandingOrders().contains(new OutputData(t)))
				.distinct()
				.collect(Collectors.toList()));

	}
}
