package de.arminwolf.financeanalyzer.dao;

import java.util.List;

public class TableDataDAO {

	private List<String>       headers;
	private List<List<String>> rows;


	public List<String> getHeaders() {
		return headers;
	}


	public void setHeaders(final List<String> headers) {
		this.headers = headers;
	}


	public List<List<String>> getRows() {
		return rows;
	}


	public void setRows(final List<List<String>> rows) {
		this.rows = rows;
	}



	public static class TableDataFactory {
		public static TableDataDAO createTableDataDTO() {
			return new TableDataDAO();
		}
	}
}
