package de.arminwolf.financeanalyzer.dao.charts.model;

import java.util.Objects;

public class SeriesElement {

	private String name;
	private Float  value;


	public SeriesElement(final String name, final Float value) {
		this.name = name;
		this.value = value;
	}


	public String getName() {
		return name;
	}


	public void setName(final String name) {
		this.name = name;
	}


	public Float getValue() {
		return value;
	}


	public void setValue(final Float value) {
		this.value = value;
	}


	@Override
	public boolean equals(final Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
		final SeriesElement that = (SeriesElement) o;
		return Objects.equals(name, that.name) && Objects.equals(value, that.value);
	}


	@Override
	public int hashCode() {
		return Objects.hash(name, value);
	}
}
